## towncrier 22.12.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = Towncrier
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## towncrier 19.2.0

=== debian/changelog ===
towncrier (19.2.0-1) unstable; urgency=medium

  * The “Tarishi Jain” release.
  * Initial Debian release.
    Closes: bug#927454.

 -- Ben Finney <bignose@debian.org>  Thu, 11 Mar 2021 09:42:35 +1100

=== debian/control ===
Source: towncrier
Maintainer: Ben Finney <bignose@debian.org>
Section: devel
Priority: optional
Build-Depends-Indep:
    dh-python,
    python3-click,
    python3-incremental,
    python3-jinja2,
    python3-toml,
    python3-setuptools,
    python3
Build-Depends:
    debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://pypi.org/project/towncrier/
VCS-Git: https://salsa.debian.org/bignose/pkg-towncrier.git
VCS-Browser: https://salsa.debian.org/bignose/pkg-towncrier/
Rules-Requires-Root: no

Package: towncrier
Architecture: all
Depends:
    ${python3:Depends},
    ${misc:Depends}
Description: compiler for project news file
 Towncrier is a utility to produce useful, summarised news files for your
 project. Rather than reading the VCS history as some newer tools do, or having
 one single file which developers all write to, towncrier reads “news fragments”
 which contain information *useful to end users*.
 .
 towncrier delivers the news which is convenient to those that hear it, not
 those that write it.
 .
 That is, a “news fragment” (a small file containing just enough information to
 be useful to end users) can be written that summarises what has changed from
 the “developer log” (which may contain complex information about the original
 issue, how it was fixed, who authored the fix, and who reviewed the fix). By
 compiling a collection of these fragments, towncrier can produce a digest of
 the changes which is valuable to those who may wish to use the software.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
# Part of Debian ‘towncrier’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

MAIN_PYTHON_PACKAGE = towncrier
export PYBUILD_NAME = ${MAIN_PYTHON_PACKAGE}

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}


%:
	dh $@ --with python3 --buildsystem=pybuild


# Copyright © 2010–2019 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# coding: utf-8
# mode: makefile
# End:
# vim: fileencoding=utf-8 filetype=make :

=== debian/watch ===
# debian/watch
# Debian UScan configuration for this package.
# Manual page: ‘uscan(1)’.

# Version of the UScan configuration format for this file.
version = 4

# Automated tarball releases at GitHub service.
opts = "uversionmangle=s/(\d)((?:a|b|c|rc)\d*)$/$1~$2/" \
    https://github.com/hawkowl/towncrier/releases/ \
    /hawkowl/towncrier/archive/@ANY_VERSION@@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

## towncrier 21.9.0

=== debian/changelog ===
towncrier (21.9.0-1) unstable; urgency=medium

  * The “Jerri Sloan” release.
  * New upstream release.
    Highlights since previous release:
    * Features now delegated to ‘towncrier’ sub-commands.
    * New ‘create’ sub-command, to create a news fragment.
    * New ‘check’ sub-command, to validate the news fragments.
    * New ‘--config’ option to specify configuration file.
    * Allow configuration of project ‘version’ and ‘name’.
  * Document the copyright status of ‘CODE_OF_CONDUCT.md’.
  * Use the verbatim copyright attribution for the project files.
  * Declare conformance to “Standards-Version: 4.6.0”.
  * Remove obsolete field from DEP-12 metadata.
  * Document the current main packaging development VCS branch.
  * Update the canonical Debian packaging VCS repository.
  * Update the project homepage.
    Closes: bug#986319. Thanks to Paul Wise for the report.
  * Update the URL for fetching upstream source.
  * Add specification for AutoPkgTest of the installed package.
  * Override false positive Lintian check for VCS-* field names.
  * Add a manual page document for the ‘towncrier’ command.
  * Install the upstream README document.
  * Install the upstream change log document.

 -- Ben Finney <bignose@debian.org>  Wed, 27 Apr 2022 22:14:36 +1000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
     python3
 Build-Depends:
     debhelper-compat (= 13)
-Standards-Version: 4.5.1
-Homepage: https://pypi.org/project/towncrier/
-VCS-Git: https://salsa.debian.org/bignose/pkg-towncrier.git
-VCS-Browser: https://salsa.debian.org/bignose/pkg-towncrier/
+Standards-Version: 4.6.0
+Homepage: https://github.com/twisted/towncrier/
+VCS-Git: https://salsa.debian.org/debian/pkg-towncrier.git
+VCS-Browser: https://salsa.debian.org/debian/pkg-towncrier/
 Rules-Requires-Root: no
 
 Package: towncrier

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,12 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS.rst
 
 
-# Copyright © 2010–2019 Ben Finney <bignose@debian.org>
+
+# Copyright © 2010–2022 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

Test-Command:
    towncrier --version
Depends:
    @
Restrictions:
    build-needed,
    superficial


# Copyright © 2022 Ben Finney <bignose@debian.org>
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# coding: utf-8
# mode: conf-space
# End:
# vim: fileencoding=utf-8 filetype=conf :

=== debian/watch ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 # Automated tarball releases at GitHub service.
 opts = "uversionmangle=s/(\d)((?:a|b|c|rc)\d*)$/$1~$2/" \
-    https://github.com/hawkowl/towncrier/releases/ \
-    /hawkowl/towncrier/archive/@ANY_VERSION@@ARCHIVE_EXT@ \
+    https://github.com/twisted/towncrier/tags \
+    /twisted/towncrier/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@ \
     debian uupdate

## towncrier 22.12.0

=== debian/changelog ===
towncrier (22.12.0-1) unstable; urgency=medium

  * The “Claudio Cappelli” release.

  [ Ben Finney ]

  * New upstream release.
    Highlights since previous release:
    * Support Python version 3.7 – 3.11.
    * The ‘check’ command now works for branches that change the news file.
    * The ‘create’ command now has a ‘-m TEXT’ option to define the content
      of the newly created fragment.
    * The ‘build’ command now has a ‘--keep’ option to keep fragments in
      place.
    * Support having the release notes for each version in a separate file.
    * Support fragments not associated with any issue.
    * Default branch for `towncrier check` is now "origin/main"
      (not "origin/master").
  * Declare conformance to “Standards-Version: 4.6.2”.
    No additional changes needed.
  * Declare Build-Depends for architecture-independent packages.
  * Remove a Lintian override for documentation files in wrong directory.
    The files should in fact not be in the package; Lintian is correct.
  * Remove cruft from the build directory left there by Twisted Trial.
    Closes: bug#1027992. Thanks to Chris Lamb for the report.
  * Update URLs for upstream metadata.
  * Merge ‘towncrier(1)’ manual page work from sergiosacj.
    Thanks to Sérgio de Almeida Cipriano Junior.

  [ Sérgio de Almeida Cipriano Junior ]

  * Update UScan configuration to query Python Package Index releases.

 -- Ben Finney <bignose@debian.org>  Thu, 12 Jan 2023 15:22:18 +1100

towncrier (21.9.0-2) unstable; urgency=medium

  * Invoke PyBuild with options to install as an application.
  * Update Lintian overrides to match current Lintian output.
  * Declare conformance to “Standards-Version: 4.6.1”.
    No additional changes needed.
  * Add Bash command completion for ‘towncrier’ command.
  * Declare ‘pybuild-plugin-pyproject’ build dependency to use Setuptools.
  * Declare build dependencies to run test suite.
  * Override Lintian false positive for package documentation.

 -- Ben Finney <bignose@debian.org>  Wed, 23 Nov 2022 12:18:20 +1100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,22 @@
 Section: devel
 Priority: optional
 Build-Depends-Indep:
-    dh-python,
+    git,
+    python3-twisted,
+    python3-pytest,
+    python3-mock,
+    python3-click-default-group,
     python3-click,
     python3-incremental,
     python3-jinja2,
     python3-toml,
-    python3-setuptools,
     python3
 Build-Depends:
+    dh-python,
+    pybuild-plugin-pyproject,
+    python3-setuptools,
     debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/twisted/towncrier/
 VCS-Git: https://salsa.debian.org/debian/pkg-towncrier.git
 VCS-Browser: https://salsa.debian.org/debian/pkg-towncrier/

=== debian/rules ===
--- 
+++ 
@@ -7,24 +7,37 @@
 # certain conditions; see the end of this file for copyright
 # information, grant of license, and disclaimer of warranty.
 
+PACKAGE_NAME = towncrier
+
 MAIN_PYTHON_PACKAGE = towncrier
 export PYBUILD_NAME = ${MAIN_PYTHON_PACKAGE}
+
+package_share_dir = /usr/share/${PACKAGE_NAME}
+export PYBUILD_INSTALL_ARGS = \
+	--install-lib=${package_share_dir}/ \
+	--install-scripts=${package_share_dir}/
 
 # Send HTTP traffic to the “discard” service during packaging actions.
 export http_proxy = http://127.0.1.1:9/
 export https_proxy = ${http_proxy}
+
+# Twisted Trial creates temporary Python modules and doesn't clean up.
+twisted_trial_cruft = ${MAIN_PYTHON_PACKAGE}.test.*
+export PYBUILD_AFTER_TEST = rm -r "{build_dir}"/${twisted_trial_cruft}
 
 
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+
+
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.rst
 
 
 
-# Copyright © 2010–2022 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2023 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
@@ -35,6 +48,6 @@
 
 # Local variables:
 # coding: utf-8
-# mode: makefile
+# mode: gnumakefile
 # End:
 # vim: fileencoding=utf-8 filetype=make :

=== debian/tests/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 
 
-# Copyright © 2022 Ben Finney <bignose@debian.org>
+# Copyright © 2022–2023 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.

=== debian/watch ===
# debian/watch
# Debian UScan configuration for this package.
# Manual page: ‘uscan(1)’.

# Version of the UScan configuration format for this file.
version = 4

# Public releases at Python Package Index.
opts = "uversionmangle=s/(\d)-?((?:rc|a|b|c)\d*)$/$1~$2/" \
    https://pypi.debian.net/@PACKAGE@/ \
    @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

## towncrier 24.8.0

=== debian/changelog ===
towncrier (24.8.0-2) unstable; urgency=medium

  * Remove unused “Build-Depends-Indep: python3-mock”.
    The upstream release uses only ‘unittest.mock’ from the standard library.
  * Switch build dependency to ‘python3-tomli’, specified in upstream project.
  * Resume installing Python library as a public shared library.
    Closes: bug#1087787. Thanks to Santiago Vila for the report; thanks to
    Colin Watson for the diagnosis.

 -- Ben Finney <bignose@debian.org>  Wed, 20 Nov 2024 17:07:04 +1100

towncrier (24.8.0-1) unstable; urgency=medium

  * The “Myrtle Cagle” release.
  * New upstream release.
    Highlights since previous release:
    * Support Python version 3.8 – 3.12.
    * Provide a default template if Markdown is selected.
    * Generated output no longer adds extra line breaks.
    * Gracefully handle news fragments that are not in VCS repository.
    * Prompt interactively when no fragment filename is specified.
  * Declare conformance to “Standards-Version: 4.7.0”.
    No additional changes needed.
  * Switch to ‘pyproject’ build system.
    Closes: bug#1083804. Thanks to Matthias Klose for the report.
  * debian/patches/:
    * Remove patches resolved in new upstream release.
  * debian/patches/test-current-version-in-output.patch:
    * Test the actual current version is in the test output.
  * Install to an application directory, not a shared Python library.

 -- Ben Finney <bignose@debian.org>  Sun, 20 Oct 2024 13:34:11 +1100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Section: devel
 Priority: optional
 Build-Depends-Indep:
+    furo,
     git,
-    python3-twisted,
-    python3-pytest,
-    python3-mock,
+    pybuild-plugin-pyproject,
+    python3-click,
     python3-click-default-group,
-    python3-click,
+    python3-hatchling,
     python3-incremental,
     python3-jinja2,
-    python3-toml,
+    python3-pytest,
+    python3-tomli,
+    python3-twisted <!nocheck>,
     python3
 Build-Depends:
     dh-python,
-    pybuild-plugin-pyproject,
-    python3-setuptools,
     debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/twisted/towncrier/
 VCS-Git: https://salsa.debian.org/debian/pkg-towncrier.git
 VCS-Browser: https://salsa.debian.org/debian/pkg-towncrier/

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,17 @@
 PACKAGE_NAME = towncrier
 
 MAIN_PYTHON_PACKAGE = towncrier
-export PYBUILD_NAME = ${MAIN_PYTHON_PACKAGE}
-
-package_share_dir = /usr/share/${PACKAGE_NAME}
-export PYBUILD_INSTALL_ARGS = \
-	--install-lib=${package_share_dir}/ \
-	--install-scripts=${package_share_dir}/
 
 # Send HTTP traffic to the “discard” service during packaging actions.
 export http_proxy = http://127.0.1.1:9/
 export https_proxy = ${http_proxy}
+
+export PYBUILD_SYSTEM := pyproject
+
+export PYBUILD_INSTALL_ARGS ?= \
+	--install-option="--install-layout=deb"
+
+export PYBUILD_TEST_ARGS = "{dir}"/src/
 
 # Twisted Trial creates temporary Python modules and doesn't clean up.
 twisted_trial_cruft = ${MAIN_PYTHON_PACKAGE}.test.*
@@ -37,7 +38,7 @@
 
 
 
-# Copyright © 2010–2023 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2024 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the

=== debian/tests/control ===
--- 
+++ 
@@ -8,15 +8,25 @@
 
 Test-Command:
     towncrier --version
-Depends:
-    @
 Restrictions:
     build-needed,
     superficial
+Depends:
+    python3-all,
+    @
+
+Tests: smoke-python3
+Restrictions:
+    build-needed,
+    superficial
+Depends:
+    python3-package-smoke-test,
+    python3-all,
+    @
 
 
 
-# Copyright © 2022–2023 Ben Finney <bignose@debian.org>
+# Copyright © 2022–2024 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.
